/*************************************************
* ADS Praktikum 1.1
* RingNode.h
* Erweiterung um Hilfsfunktionen gestattet.
*************************************************/
#pragma once
#include <string>

class RingNode {
private:
	int m_oldAge;
	std::string m_description;
	std::string m_symbolicData;
	RingNode* m_next;

public:
	RingNode();
	RingNode(int a, std::string d, std::string s) : m_oldAge { a }, m_description { d }, m_symbolicData { s }, m_next { nullptr } { };
	int getOldAge();
	void setOldAge(int);
	std::string getDescription();
	void setDescription(std::string);
	std::string getSymbolicData();
	void setSymbolicData(std::string);
	RingNode* getNext();
	void setNext(RingNode*);
};
